=== debian/changelog ===
powervr-omap3 (3.01.00.07-0ubuntu1) maverick; urgency=low

  * Initial release, based on OMAP35x_Graphics_SDK_setuplinux_3_01_00_07.bin
  * FFe and needs-packaging request at (LP: #652347)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 13 Sep 2010 01:19:57 -0300
