=== debian/control ===
Source: powervr-omap3
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7), dkms, quilt
Standards-Version: 3.9.1
Homepage: http://software-dl.ti.com/dsps/dsps_public_sw/sdo_sb/targetcontent/gfxsdk/
Vcs-Bzr: lp:~rsalveti/+junk/powervr-omap3
Vcs-Browser: http://bazaar.launchpad.net/~rsalveti/+junk/powervr-omap3/files

Package: powervr-omap3-dkms
Architecture: armel
Section: kernel
Depends: dkms (>= 1.95), make, ${misc:Depends}, linux-headers-omap | linux-headers-linaro-omap
Description: PowerVR SGX Omap 3 kernel modules source code - dkms version
 This package provides the source code for the PowerVR SGX Omap 3 kernel
 modules.
 .
 This driver will allow usage of the OpenGLES SGX libraries, providing
 3D acceleration. Kernel source or headers are required to compile these
 modules.
 .
 This package contains the source to be built with dkms.
