=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

sname:=powervr-omap3
pdkms:=powervr-omap3-dkms
sversion:=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

build: patch

clean: unpatch
	dh_testdir
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installdirs -p$(pdkms) usr/src/$(sname)-$(sversion)
	cp -a GFX_Linux_KM/eurasiacon GFX_Linux_KM/include4 GFX_Linux_KM/services4 \
		GFX_Linux_KM/tools GFX_Linux_KM/Kbuild GFX_Linux_KM/Makefile GFX_Linux_KM/README \
		debian/$(pdkms)/usr/src/$(sname)-$(sversion)
	sed "s/__VERSION__/$(sversion)/g" debian/dkms.conf.in > debian/$(pdkms)/usr/src/$(sname)-$(sversion)/dkms.conf
	find debian/$(pdkms) -type f -exec chmod -x {} +
	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
