## powervr-omap3 4.00.00.01-0ubuntu1

=== GFX_Linux_KM/Makefile ===
--- 
+++ 
@@ -9,12 +9,15 @@
 export KBUILD_EXTRA_SYMBOLS = `pwd`/services4/srvkm/env/linux/kbuild/Module.symvers
 
 SGXCORE = 530
+ifeq ($(TI_PLATFORM),ti8168)
+CORE = -DPLAT_TI8168 -DSGX530 -DSUPPORT_SGX530 -DSGX_CORE_REV=125
+else
 ifeq ($(TI_PLATFORM),omap3630)
 CORE = -DSGX530 -DSUPPORT_SGX530 -DSGX_CORE_REV=125
 else
 CORE = -DSGX530 -DSUPPORT_SGX530 -DSGX_CORE_REV=121
 endif
-
+endif
 SUPPORT_SGX = 1
 SUPPORT_HW_RECOVERY = 1
 SUPPORT_SGX_HWPERF = 1
