=== debian/changelog ===
powervr-omap3 (4.00.00.01-0ubuntu1) natty; urgency=low

  * New upstream release
    - Compatible with Natty's kernel (LP: #726541)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 12 Apr 2011 02:19:18 -0300
